> For the complete documentation index, see [llms.txt](https://docs.trilio.io/kubernetes/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trilio.io/kubernetes/5.2.x/getting-started/using-trilio/getting-started-1/triliovault-operator-helm-values.md).

# Trilio Helm Operator Values

```yaml
## Trilio Operator
registry: gcr.io/amazing-chalice-243510

operator-webhook-init:
  repository: operator-webhook-init

k8s-triliovault-operator:
  repository: k8s-triliovault-operator

tag: master

tvkHelmRepo: ""

affinity:
  nodeAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/arch
              operator: In
              values:
                - amd64

priorityClassName: ""

image:
  pullPolicy: Always
tls:
  secretName: "helm-client-certs"
  verify: false
  enable: false
  keyFile: "tls.key"
  certFile: "tls.crt"
  caContent: ""
  hostname: ""

nameOverride: ""

replicaCount: 1

proxySettings:
  PROXY_ENABLED: false
  NO_PROXY: ""
  HTTP_PROXY: ""
  HTTPS_PROXY: ""
  CA_BUNDLE_CONFIGMAP: ""

podSpec:
  hostIPC: false
  hostNetwork: false
  hostPID: false
  securityContext:
    runAsNonRoot: true
    runAsUser: 1001

securityContext:
  allowPrivilegeEscalation: false
  privileged: false
  readOnlyRootFilesystem: false
  runAsNonRoot: true
  runAsUser: 1001
  capabilities:
    drop:
      - ALL

installTVK:
  enabled: true
  applicationScope: Cluster
  ingressConfig:
    host: ""
    tlsSecretName: ""
    annotations: {}
    ingressClass: ""
  ComponentConfiguration:
    ingressController:
      enabled: true
      service:
        type: LoadBalancer
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trilio.io/kubernetes/5.2.x/getting-started/using-trilio/getting-started-1/triliovault-operator-helm-values.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
